import * as $dara from '@darabonba/typescript';
export declare class DescribeImageComponentsResponseBodyImageComponentImageComponentSetParametersParameter extends $dara.Model {
    defaultValue?: string;
    name?: string;
    type?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeImageComponentsResponseBodyImageComponentImageComponentSetParameters extends $dara.Model {
    parameter?: DescribeImageComponentsResponseBodyImageComponentImageComponentSetParametersParameter[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeImageComponentsResponseBodyImageComponentImageComponentSetTagsTag extends $dara.Model {
    tagKey?: string;
    tagValue?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeImageComponentsResponseBodyImageComponentImageComponentSetTags extends $dara.Model {
    tag?: DescribeImageComponentsResponseBodyImageComponentImageComponentSetTagsTag[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeImageComponentsResponseBodyImageComponentImageComponentSet extends $dara.Model {
    componentType?: string;
    componentVersion?: string;
    content?: string;
    creationTime?: string;
    description?: string;
    imageComponentId?: string;
    name?: string;
    owner?: string;
    parameters?: DescribeImageComponentsResponseBodyImageComponentImageComponentSetParameters;
    resourceGroupId?: string;
    systemType?: string;
    tags?: DescribeImageComponentsResponseBodyImageComponentImageComponentSetTags;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeImageComponentsResponseBodyImageComponent extends $dara.Model {
    imageComponentSet?: DescribeImageComponentsResponseBodyImageComponentImageComponentSet[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeImageComponentsResponseBody extends $dara.Model {
    imageComponent?: DescribeImageComponentsResponseBodyImageComponent;
    /**
     * @remarks
     * The number of entries per page.
     *
     * @example
     * 50
     */
    maxResults?: number;
    /**
     * @remarks
     * A pagination token. It can be used in the next request to retrieve a new page of results. For information about how to use the returned value, see the "Usage notes" section of this topic.
     *
     * @example
     * AAAAAdDWBF2****
     */
    nextToken?: string;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 473469C7-AA6F-4DC5-B3DB-A3DC0DE3C83E
     */
    requestId?: string;
    /**
     * @remarks
     * The total number of image components returned.
     *
     * @example
     * 1
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
